Endpoint Groups
Product Domains
Product Domains operations within the Products API group.
List product domainsGET
/product-domains
Operation ID
listProductDomainsQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
429 |
Client error |
500 |
Server error |
Create product domainPOST
/product-domains
Operation ID
createProductDomainRequest Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
409 |
The request conflicts with the current state of the server. |
429 |
Client error |
500 |
Server error |
Get product domainGET
/product-domains/{domainName}
Operation ID
getProductDomainPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
domainName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Update product domainPATCH
/product-domains/{domainName}
Operation ID
updateProductDomainPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
domainName |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Delete product domainDELETE
/product-domains/{domainName}
Operation ID
deleteProductDomainPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
domainName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |